Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 215912 - libsigc++ does not compile with gcc 4.3
Summary: libsigc++ does not compile with gcc 4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: GNOME C++ Bindings Maintainers (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-02 17:58 UTC by David Carlos Manuelda
Modified: 2008-04-12 11:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
compilation log (dev-libs:libsigc++-2.0.18:20080402-175353.log,19.35 KB, text/plain)
2008-04-02 17:58 UTC, David Carlos Manuelda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Carlos Manuelda 2008-04-02 17:58:10 UTC
I can't make libsigc++-2.0.18 compile with gcc-4.3.0.
I'll attach a bug report.

Reproducible: Always
Comment 1 David Carlos Manuelda 2008-04-02 17:58:30 UTC
Created attachment 148114 [details]
compilation log
Comment 2 Neil Cathey 2008-04-02 19:26:41 UTC
See bug #203931 and bug #206063.  libsigc++-2.2.2 compiles fine with gcc-4.3.
Comment 3 Rémi Cardona gentoo-dev 2008-04-02 22:01:25 UTC
2.2.2 or later needs to go stable. That's not our call to make.
Comment 4 Neil Cathey 2008-04-02 22:50:05 UTC
I wasn't implying that libsigc++-2.2.2 needs to go stable.  gcc-4.3 doesn't even have any keywords yet.  I just wanted to let the reporter know that the newer libsigc++ compiles fine with gcc-4.3 or that there's a patch for libsigc++-2.0.18 in bug #206063.  I apologize for the misunderstanding.
Comment 5 David Carlos Manuelda 2008-04-03 00:01:15 UTC
Ok, so I wait the patch to be included in tree soon :)
Comment 6 Mart Raudsepp gentoo-dev 2008-04-03 00:05:29 UTC
(In reply to comment #5)
> Ok, so I wait the patch to be included in tree soon :)

libsigc++-2.2.2 is already included in the tree at ~arch visibility... gcc-4.3.0 on the other hand is not even keyworded anywhere. You can't mix and match stuff like that and have a compiler that is not even become ~arch yet, to compile packages that are in stable...
Comment 7 David Carlos Manuelda 2008-04-03 00:11:10 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Ok, so I wait the patch to be included in tree soon :)
> 
> libsigc++-2.2.2 is already included in the tree at ~arch visibility...
> gcc-4.3.0 on the other hand is not even keyworded anywhere. You can't mix and
> match stuff like that and have a compiler that is not even become ~arch yet, to
> compile packages that are in stable...
> 
Yes, but what I meant is that in order to test (runtime behaviours and so on at least), is better when it compiles all :)
I only want to test things as this is the only thing I can do for now to help a bit, and report every package that fails :)

Comment 8 Rémi Cardona gentoo-dev 2008-04-12 11:10:12 UTC
Already in portage. Please check with the toolchain people if they have/need a list of packages that need to be fixed or updated before they can unmask (and later on stabilize) gcc 4.3.

Our work here is done :)